Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jvm
Interface MemorySystem

All Superinterfaces:
  Describable, JVMComponent

public interface MemorySystem
extends JVMComponent

Interface to the JVM memory system.

Author:
  Calle Wilund
, Marcus Hirt

Method Summary
`GarbageCollector` | `getGarbageCollector()` Returns the GarbageCollector currently used by the JVM.
`long` | `getMaxHeapSize()` Returns the maximum size the heap may grow to, in bytes.
`long` | `getTotalHeapSize()` Returns the size of the heap that the JVM has allocated, in bytes.
`long` | `getUsedHeapSize()` Returns the committed heap size of the JVM in bytes.

Methods inherited from interface com.bea.jvm.Describable
`getDescription`

Method Detail

### getMaxHeapSize

    public long getMaxHeapSize()
                        throws NotAvailableException

  Returns the maximum size the heap may grow to, in bytes. This is normally the same as the size specified with the -mx flag.

  Returns:
    the maximum heap size of the JVM (-mx) in bytes.
  Throws:
    `NotAvailableException` - if this functionality isn't available in this JVM.

### getTotalHeapSize

    public long getTotalHeapSize()
                          throws NotAvailableException

  Returns the size of the heap that the JVM has allocated, in bytes.

  Returns:
    the allocated heap size of the JVM in bytes.
  Throws:
    `NotAvailableException` - if this functionality isn't available in this JVM.

### getUsedHeapSize

    public long getUsedHeapSize()
                         throws NotAvailableException

  Returns the committed heap size of the JVM in bytes.

  Returns:
    the committed heap size of JVM in bytes.
  Throws:
    `NotAvailableException` - if this functionality isn't available in this JVM.

### getGarbageCollector

    public GarbageCollector getGarbageCollector()
                                         throws NotAvailableException

  Returns the GarbageCollector currently used by the JVM.

  Returns:
    the garbage collector used by the memory system.
  Throws:
    `NotAvailableException` - if this functionality isn't available in this JVM.
  See Also:
    `GarbageCollector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD